curl --request PATCH \
--url https://public-api.stora.co/2025-09/tasks/{task_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Updated Task Title",
"description": "Updated description for the task.",
"due_at": "2025-02-25T14:41:00Z",
"assignee": {
"id": "staff_06778802edebb94d"
},
"site": {
"id": "site_14b419f1096013f1"
},
"resource": {
"id": "unit_1e36123098e22cf8"
},
"metadata": {
"source": "api",
"external_id": "ext_456"
}
}
'{
"task": {
"id": "task_195h6kfm9ro15lof",
"assignee": {
"id": "staff_06778802edebb94d"
},
"completed_at": null,
"created_at": "2025-02-22T14:41:00Z",
"creator": {
"id": "staff_06778802edebb94d"
},
"description": "Updated description for the task.",
"due_at": "2025-02-25T14:41:00Z",
"metadata": {
"source": "api",
"external_id": "ext_456"
},
"resource": {
"id": "unit_1e36123098e22cf8"
},
"site": {
"id": "site_14b419f1096013f1"
},
"status": "open",
"title": "Updated Task Title",
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Update an existing task.
Required authorization scope: public.task:write
curl --request PATCH \
--url https://public-api.stora.co/2025-09/tasks/{task_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Updated Task Title",
"description": "Updated description for the task.",
"due_at": "2025-02-25T14:41:00Z",
"assignee": {
"id": "staff_06778802edebb94d"
},
"site": {
"id": "site_14b419f1096013f1"
},
"resource": {
"id": "unit_1e36123098e22cf8"
},
"metadata": {
"source": "api",
"external_id": "ext_456"
}
}
'{
"task": {
"id": "task_195h6kfm9ro15lof",
"assignee": {
"id": "staff_06778802edebb94d"
},
"completed_at": null,
"created_at": "2025-02-22T14:41:00Z",
"creator": {
"id": "staff_06778802edebb94d"
},
"description": "Updated description for the task.",
"due_at": "2025-02-25T14:41:00Z",
"metadata": {
"source": "api",
"external_id": "ext_456"
},
"resource": {
"id": "unit_1e36123098e22cf8"
},
"site": {
"id": "site_14b419f1096013f1"
},
"status": "open",
"title": "Updated Task Title",
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Bearer Token necessary to use API
The ID of the task to retrieve
Update Task Request
The title of the task
Optional description for the task, to remove existing description set to null
The due date and time for the task, to remove existing due date set to null
To remove the association, set site to null
Show child attributes
Show child attributes
Set of key-value pairs for storing additional information on the task. Learn more about metadata.
Show child attributes
Show child attributes
Was this page helpful?